Get Patch Blocking Rule by ID

Use this API to fetch a specific patch-blocking rule by its rule ID and view detailed information about it. This feature is supported on both Windows and Linux platforms.

GET/pm/v1/blocking/rules/{id}

Sample - Get a Patch Blocking Rule by IDSample - Get a Patch Blocking Rule by ID

API Request

curl -X 'GET' \
  '<qualys_base_url>/pm/v1/blocking/rules/c003a69f-17d1-4a85-9ef7-2ef9f87aff2d?platform=Windows' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <JWT_Token>'

API Response

{
  "ruleId": "c003a69f-17d1-4a85-9ef7-2ef9f87aff2d",
  "ruleName": "Windows Blocking Rule",
  "ruleReason": "Blocking few patches",
  "criteria": {
    "type": 1,
    "value": "patch.publishedDate:[2026-05-01 ... now-5d] and patch.appFamily:`Visual C++`"
  },
  "platform": "Windows",
  "customerId": "5e35d0c5-ea3d-55c7-8320-7d89b67eb709",
  "includeTagIds": [],
  "createdBy": {
    "id": "aa093746-5cbd-7b3b-8136-5794736f5a2f",
    "name": "John Doe",
    "user": "<username>"
  },
  "createdAt": "2026-09-10T03:54:44.883",
  "updatedBy": null,
  "updatedAt": null,
  "deleted": false,
  "scope": "GLOBAL"
}